<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('player', function (Blueprint $table) {
            $table->integer('cheque')->default(0)->after('gold');
        });

        Schema::table('player_deleted', function (Blueprint $table) {
            $table->integer('cheque')->default(0)->after('gold');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('player', function (Blueprint $table) {
            $table->dropColumn('cheque');
        });

        Schema::table('player_deleted', function (Blueprint $table) {
            $table->dropColumn('cheque');
        });
    }
};
